﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfXamDataChart
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<DataPoint> MyList { get; set; }

        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = this;
            this.LoadData();
        }

        private void LoadData()
        {
            this.MyList = new ObservableCollection<DataPoint>();

            for (int i = 1; i < 13; i++)
                MyList.Add(new DataPoint((10 * i) ^ i, DateTime.Now.AddMonths(-1 * (i - 1)), "DataName" + i));
        }

        
    }
}
